/*Widget parents rules*/
div.elementor:has(.site-header) > div.elementor-element {
	padding: 0 !important;
}

div.elementor:has(.site-header) > div.elementor-element > div {
	padding: 0 !important;
	max-width: 100%!important;
}

div.elementor-location-header  > div.elementor-element,
div.elementor-location-header > div.elementor-element > div {
	padding: 0 !important;
	max-width: 100%!important;
}
/*Widget parents rules*/



.site-header {
	top: 0;
	left: 0;
	right: 0;
	z-index: 999;
	display: flex;
	/*position: fixed;*/
	flex-direction: column;
	background-color: var(--header-bg-color);
	box-shadow: 0 3px 3px 0 rgb(0 0 0 / 8%), 3px 1px 3px -2px rgb(0 0 0 / 8%), -3px 1px 3px -2px rgb(0 0 0 / 8%);
	position: fixed;
}

.site-header.scrolled {
	background-color: var(--header-bg-color-scrolled);
}

.woocommerce-checkout .site-header {
	background-color: var(--header-bg-color-scrolled);
}

.site-header__row {
	gap: 1em;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	background-color: var(--header-bg-color);
}
.page-id-1090 .site-header,
.page-id-2682 .site-header{
	position:relative;
}
.header-row-2{
	background-color:white;
}
.page-id-1306 .header-row-2{
	background-color:transparent;
}
.page-id-1284 .site-header.scrolled .header-row-2,
.page-id-2585 .site-header.scrolled .header-row-2{
	background-color:white;
}
.site-header__row:nth-child(1) {
	z-index: 3;
}

.site-header__row:nth-child(2) {
	z-index: 2;
}

.site-header__row:nth-child(3) {
	z-index: 1;
}

.site-header__row.header-row-1 {
	background-color: var(--main-bg-color);
	padding: 10px 20px !important;
	display: flex;
	align-items: center;
	justify-content: center;
}
.woo-item img{
	filter: invert(0);
}



.page-id-1306 .header-logo img{
	content:url('/wp-content/uploads/2024/09/Logo-white.png');
}

.page-id-1306 .site-menu__primary li > a{
	color:white;
}
.page-id-1306 .phone-btn a{
	color:white;
	border:1px solid white;
}
.page-id-1306 .phone-btn a::after{
	border: solid white;
	border-width: 0 2px 2px 0;
}
.page-id-1306 .phone-btn a:hover{
	background-color: white;
	color:black;
}
.page-id-1306 .phone-btn a:hover::after{
	border: solid black;
	border-width: 0 2px 2px 0;
}
.page-id-1306 .woo-item img{
	filter: invert(1);
}

.page-id-1306 .site-header.scrolled .header-logo img{
	content:url('/wp-content/uploads/2024/09/Logo-douze-cycles.svg');
}

.page-id-1306 .site-header.scrolled .site-menu__primary li > a{
	color:black;
}
.page-id-1306 .site-header.scrolled{
	background-color:white !important;
}
.page-id-1306 .site-header.scrolled .phone-btn a{
	color:black;
	border:1px solid black;
}
.page-id-1306 .site-header.scrolled .phone-btn a::after{
	border: solid black;
	border-width: 0 2px 2px 0;
}
.page-id-1306 .site-header.scrolled .phone-btn a:hover{
	background-color: black;
	color:white;
}
.page-id-1306 .site-header.scrolled .phone-btn a:hover::after{
	border: solid white;
	border-width: 0 2px 2px 0;
}
.page-id-1306 .site-header.scrolled .woo-item img{
	filter: invert(0);
}





.header-section-1 p{
	margin-bottom: 0 !important;
	font-size: 14px;
	text-align: center;
	text-transform: uppercase;
}

.header-section-1 p span{
	font-size: 15px;
	font-weight: 700;
	text-transform: uppercase;

}


.site-header__row.header-row-1 * {
	color: #ffffff;
}

.site-header__row.header-row-3 {
	border-top: solid 1px #E6E6E6;
}

.header-row__column {
	display: flex;
	align-items: center;
	/*border: solid blue;*/
}

.header-row__column.column-woo,
.header-row__column.column-search,
.header-row__column.column-switch {
	flex: inherit;
}

.header-row__column.column-menu {
	flex-basis: auto;
}

.header-logo img {
	height: auto;
	max-width: 100%;
}


@keyframes stickySlideDown {
	0% {
		opacity: 0.7;
		transform: translateY(-100%);
	}
	100% {
		opacity: 1;
		transform: translateY(0);
	}
}


/*	burger */
.header-burger {
	height: 24px;
	width: 36px;
	cursor: pointer;
	position: relative;
	transform: scale(0.7);
}

.header-burger__line {
	width: 100%;
	height: 2px;
	animation: none;
	position: absolute;
	transform: rotate(0deg);
	animation-duration: 0.65s;
	background-color: var(--menu-link-color);
	animation-timing-function: cubic-bezier(0.77, 0, 0.175, 1);
}

.header-burger__line:nth-child(1) {
	top: 0;
	animation-name: topreverse;
	animation-fill-mode: forwards;
}

.header-burger__line:nth-child(2) {
	bottom: 10px;
	animation-name: bottomreverse;
}

.header-burger__line:nth-child(3) {
	bottom: 0;
	animation-name: bottomreverse;
}

.header-burger.is-active > .header-burger__line {
	animation-duration: 0.65s;
	animation-fill-mode: forwards;
	animation-timing-function: cubic-bezier(0.77, 0, 0.175, 1);
}

.header-burger.is-active .header-burger__line:nth-child(1) {
	top: 45.8333333333%;
	animation-name: top;
}

.header-burger.is-active .header-burger__line:nth-child(2) {
	visibility: hidden;
}

.header-burger.is-active .header-burger__line:nth-child(3) {
	bottom: 45.8333333333%;
	animation-name: bottom;
}


.phone-btn a{
	color: #5F5858;
	transition: 0.3s;
	padding: 12px 20px;
	border: 1px solid #5F5858;
	background-color: #ffffff4d;
	width: 180px;
	min-width: 180px;
	border-radius: 50px;
	text-align: center;
	position: relative;
	display: inline-block;
	font-family: var(--main-font);
}

.phone-btn a:hover{
	background-color: #5F5858;
	color: #fff;
}


.phone-btn a::after {
	content: '';
	border: solid #5F5858;
	border-width: 0 2px 2px 0;
	display: inline-block;
	padding: 4px;
	transform: rotate(-45deg);
	margin-left: 10px;
	transition: margin-left 0.3s, border-color 0.3s;
}

.phone-btn a:hover::after {
	margin-left: 20px;
	border-color: #fff;
}



@keyframes top {
	0% {
		top: 0;
	}
	60% {
		top: 45.8333333333%;
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(45deg);
	}
}

@keyframes bottom {
	0% {
		bottom: 0;
	}
	60% {
		bottom: 45.8333333333%;
		transform: rotate(0deg);
	}
	100% {
		transform: rotate(-45deg);
	}
}

@keyframes topreverse {
	0% {
		transform: rotate(45deg);
		top: 45.8333333333%;
	}
	60% {
		transform: rotate(0deg);
		top: 45.8333333333%;
	}
	100% {
		top: 0;
	}
}

@keyframes bottomreverse {
	0% {
		transform: rotate(-45deg);
		bottom: 45.8333333333%;
	}
	60% {
		transform: rotate(0deg);
		bottom: 45.8333333333%;
	}
	100% {
		bottom: 0;
	}
}

/*	burger */



/*RESPONSIVE*/

/*phone*/
@media (max-width: 767px) {

	.hide-mobile {
		display: none !important;
	}

	.site-header__row {
		padding: var(--header-row-padding-mobile);
	}
}

/*tablet*/
@media (min-width: 768px) and (max-width: 1023px) {

	.hide-tablet {
		display: none !important;
	}

	.site-header__row {
		padding: var(--header-row-padding-tablet);
	}


}

/*mobile and tablet*/
@media (max-width: 1024px) {

	.column-woo,
	.column-logo,
	.header-row-1,
	.column-switch,
	.column-burger {
		z-index: 99;
	}

	.site-header {
		position: fixed;
	}

	.header-row-2 {
		position: relative;
	}

	body.menu-opened {
		height: 100%;
		overflow: hidden;
		margin: 0!important;
	}

	.header-row-2::before {
		top: 0;
		left: 0;
		right: 0;
		content: '';
		height: 100%;
		position: absolute;
		background-color: var(--header-bg-color);
	}

	.header-row__column.column-burger {
		justify-content: center;
	}

	.site-header__row.header-row-3 {
		display: none;
	}

	.header-row__column.column-logo {
		order: 2;
		/*flex: 30% !important;*/
	}

	.header-row__column.column-switch {
		order: 2;
	}

	.header-row__column.column-burger {
		order: 1;
		justify-content: center;
	}

	.header-row__column.column-woo {
		order: 4;
		width: 20%;
	}

	.header-row-1 .header-row__column {
		flex: 1 1 0;
	}

	.header-row-2:has(.column-woo) .header-row__column.column-switch {
		display: none;
	}

	.header-row-2:has(.column-woo) .header-row__column.column-logo {
		order: 2;
		transform: scale(0.8);
		justify-content: center;
		margin-left: 20px;
	}

	.header-row-2:has(.column-woo) .header-row__column.column-burger {
		order: 1;
		justify-content: center;
	}

	.header-row__column.column-menu {
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		opacity: 0;
		display: flex;
		transition: .5s;
		position: fixed;
		visibility: hidden;
		flex-direction: column;
		align-items: center;
		align-content: center;
		transform: translate(-110%, 0%);
		background-color: rgba(184, 32, 25, 0.95);
		z-index: 999;
	}

	.header-row__column.column-menu .column-menu_content {
		left: 0;
		gap: 1em;
		right: 0;
		bottom: 0;
		padding: 1em;
		display: flex;
		margin: 0 auto;
		position: absolute;
		align-items: center;
		align-content: center;
		flex-direction: column;
		background-color: var(--second-bg-color);
	}

	.header-row__column.column-menu .column-menu_content > * {
		width: fit-content;
	}

	.header-row__column.column-menu.is-opened {
		opacity: 1;
		visibility: visible;
		transform: translate(0%, 0%);
	}


	.close__icon{
		display: block;
		position: absolute;
		top: 80px;
		left: 15%;
		transform: translateX(-50%);
		cursor: pointer;
		font-size: 30px;
		width: 50px;
		height: 50px;
		color: #FFF;
		display: flex;
		justify-content: center;
		align-items: center;
	}

	.phone-btn{
		display: none;
	}

	.header-section-1 p{
		font-size: 12px;
	}
}


/*desktop*/
@media (min-width: 1025px) {

	.hide-desktop {
		display: none !important;
	}

	.site-header__row {
		padding: var(--header-row-padding-desktop);
	}

	.header-row__column {
		flex: 1 1 0;
	}

	.header-row__column.column-logo {
		flex: 0% !important;
		justify-content: center;
	}


	.close__lordicon{
		display: none;
	}

}

/*laptop 1*/
@media (min-width: 1024px) and (max-width: 1439px) {

	.site-header__row {
		padding: var(--header-row-padding-sm-laptop);
	}

	.header-row__column.column-logo {
		flex: 10% !important;
	}

}

/*laptop 2*/
@media (min-width: 1440px) and (max-width: 1700px) {

	.site-header__row {
		padding: var(--header-row-padding-laptop);
	}

	.header-row__column.column-logo {
		flex: 10% !important;
	}

}

/*RESPONSIVE*/
